Bug 817491 - Command 'yum provides ""' generates traceback
Command 'yum provides ""' generates traceback
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
Depends On:
Blocks: 826019
  Show dependency treegraph
Reported: 2012-04-30 05:18 EDT by Dimitar Yordanov
Modified: 2014-01-21 01:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 826019 828698 (view as bug list)
Last Closed: 2012-06-20 09:54:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dimitar Yordanov 2012-04-30 05:18:55 EDT
Description of problem:

Command yum provides ""  generates traceback.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum provides ""

Actual results:
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 276, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 129, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 438, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 616, in doCommand
    return base.provides(extcmds)
  File "/usr/share/yum-cli/cli.py", line 1122, in provides
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 2643, in searchPackageProvides
    isglob, canBeFile = _arg_data(arg)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 2630, in _arg_data
    if arg[0] != '/':
IndexError: string index out of range

Expected results:
No Traceback.

Additional info:
Comment 1 James Antill 2012-05-01 14:45:42 EDT
 Fix upstream, simple couple of lines.
Comment 7 errata-xmlrpc 2012-06-20 09:54:05 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.